scala.reflect.api.Internals

# ReificationSupportApi

###
Related Doc: package Internals

#### trait ReificationSupportApi extends AnyRef

This is an internal implementation class.

Source
  Internals.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReificationSupportApi
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait FlagsReprExtractor extends AnyRef

2. #### trait ImplicitParamsExtractor extends AnyRef

3. #### trait ScalaDotExtractor extends AnyRef

4. #### trait SyntacitcSingletonTypeExtractor extends AnyRef

5. #### trait SyntacticAnnotatedTypeExtractor extends AnyRef

6. #### trait SyntacticAppliedExtractor extends AnyRef

7. #### trait SyntacticAssignExtractor extends AnyRef

8. #### trait SyntacticBlockExtractor extends AnyRef

9. #### trait SyntacticClassDefExtractor extends AnyRef

10. #### trait SyntacticCompoundTypeExtractor extends AnyRef

11. #### trait SyntacticDefDefExtractor extends AnyRef

12. #### trait SyntacticEmptyTypeTreeExtractor extends AnyRef

13. #### trait SyntacticExistentialTypeExtractor extends AnyRef

14. #### trait SyntacticFilterExtractor extends AnyRef

15. #### trait SyntacticForExtractor extends AnyRef

16. #### trait SyntacticFunctionExtractor extends AnyRef

17. #### trait SyntacticFunctionTypeExtractor extends AnyRef

18. #### trait SyntacticImportExtractor extends AnyRef

19. #### trait SyntacticMatchExtractor extends AnyRef

20. #### trait SyntacticNewExtractor extends AnyRef

21. #### trait SyntacticObjectDefExtractor extends AnyRef

22. #### trait SyntacticPackageObjectDefExtractor extends AnyRef

23. #### trait SyntacticPartialFunctionExtractor extends AnyRef

24. #### trait SyntacticPatDefExtractor extends AnyRef

25. #### trait SyntacticSelectTermExtractor extends AnyRef

26. #### trait SyntacticSelectTypeExtractor extends AnyRef

27. #### trait SyntacticTermIdentExtractor extends AnyRef

28. #### trait SyntacticTraitDefExtractor extends AnyRef

29. #### trait SyntacticTryExtractor extends AnyRef

30. #### trait SyntacticTupleExtractor extends AnyRef

31. #### trait SyntacticTypeAppliedExtractor extends AnyRef

32. #### trait SyntacticTypeIdentExtractor extends AnyRef

33. #### trait SyntacticTypeProjectionExtractor extends AnyRef

34. #### trait SyntacticValDefExtractor extends AnyRef

35. #### trait SyntacticValEqExtractor extends AnyRef

36. #### trait SyntacticValFromExtractor extends AnyRef

37. #### trait UnliftListElementwise[T] extends AnyRef

38. #### trait UnliftListOfListsElementwise[T] extends AnyRef

### Abstract Value Members

1. #### abstract def AnnotatedType(annotations: List[Universe.Annotation], underlying: Universe.Type): Universe.AnnotatedType

2. #### abstract def BoundedWildcardType(bounds: Universe.TypeBounds): Universe.BoundedWildcardType

3. #### abstract def ClassInfoType(parents: List[Universe.Type], decls: Universe.Scope, typeSymbol: Universe.Symbol): Universe.ClassInfoType

4. #### abstract def ConstantType(value: Universe.Constant): Universe.ConstantType

5. #### abstract def ExistentialType(quantified: List[Universe.Symbol], underlying: Universe.Type): Universe.ExistentialType

6. #### abstract val FlagsRepr: FlagsReprExtractor

7. #### abstract val ImplicitParams: ImplicitParamsExtractor

8. #### abstract def MethodType(params: List[Universe.Symbol], resultType: Universe.Type): Universe.MethodType

9. #### abstract def NullaryMethodType(resultType: Universe.Type): Universe.NullaryMethodType

10. #### abstract def PolyType(typeParams: List[Universe.Symbol], resultType: Universe.Type): Universe.PolyType

11. #### abstract def RefinedType(parents: List[Universe.Type], decls: Universe.Scope, typeSymbol: Universe.Symbol): Universe.RefinedType

12. #### abstract val ScalaDot: ScalaDotExtractor

13. #### abstract def SingleType(pre: Universe.Type, sym: Universe.Symbol): Universe.Type

14. #### abstract def SuperType(thistpe: Universe.Type, supertpe: Universe.Type): Universe.Type

15. #### abstract val SyntacticAnnotatedType: SyntacticAnnotatedTypeExtractor

16. #### abstract val SyntacticApplied: SyntacticAppliedExtractor

17. #### abstract val SyntacticAppliedType: SyntacticTypeAppliedExtractor

18. #### abstract val SyntacticAssign: SyntacticAssignExtractor

19. #### abstract val SyntacticBlock: SyntacticBlockExtractor

20. #### abstract val SyntacticClassDef: SyntacticClassDefExtractor

21. #### abstract val SyntacticCompoundType: SyntacticCompoundTypeExtractor

22. #### abstract val SyntacticDefDef: SyntacticDefDefExtractor

23. #### abstract val SyntacticEmptyTypeTree: SyntacticEmptyTypeTreeExtractor

24. #### abstract val SyntacticExistentialType: SyntacticExistentialTypeExtractor

25. #### abstract val SyntacticFilter: SyntacticFilterExtractor

26. #### abstract val SyntacticFor: SyntacticForExtractor

27. #### abstract val SyntacticForYield: SyntacticForExtractor

28. #### abstract val SyntacticFunction: SyntacticFunctionExtractor

29. #### abstract val SyntacticFunctionType: SyntacticFunctionTypeExtractor

30. #### abstract val SyntacticImport: SyntacticImportExtractor

31. #### abstract val SyntacticMatch: SyntacticMatchExtractor

32. #### abstract val SyntacticNew: SyntacticNewExtractor

33. #### abstract val SyntacticObjectDef: SyntacticObjectDefExtractor

34. #### abstract val SyntacticPackageObjectDef: SyntacticPackageObjectDefExtractor

35. #### abstract val SyntacticPartialFunction: SyntacticPartialFunctionExtractor

36. #### abstract val SyntacticPatDef: SyntacticPatDefExtractor

37. #### abstract val SyntacticSelectTerm: SyntacticSelectTermExtractor

38. #### abstract val SyntacticSelectType: SyntacticSelectTypeExtractor

39. #### abstract val SyntacticSingletonType: SyntacitcSingletonTypeExtractor

40. #### abstract val SyntacticTermIdent: SyntacticTermIdentExtractor

41. #### abstract val SyntacticTraitDef: SyntacticTraitDefExtractor

42. #### abstract val SyntacticTry: SyntacticTryExtractor

43. #### abstract val SyntacticTuple: SyntacticTupleExtractor

44. #### abstract val SyntacticTupleType: SyntacticTupleExtractor

45. #### abstract val SyntacticTypeApplied: SyntacticTypeAppliedExtractor

46. #### abstract val SyntacticTypeIdent: SyntacticTypeIdentExtractor

47. #### abstract val SyntacticTypeProjection: SyntacticTypeProjectionExtractor

48. #### abstract val SyntacticValDef: SyntacticValDefExtractor

49. #### abstract val SyntacticValEq: SyntacticValEqExtractor

50. #### abstract val SyntacticValFrom: SyntacticValFromExtractor

51. #### abstract val SyntacticVarDef: SyntacticValDefExtractor

52. #### abstract def ThisType(sym: Universe.Symbol): Universe.Type

53. #### abstract def TypeBounds(lo: Universe.Type, hi: Universe.Type): Universe.TypeBounds

54. #### abstract def TypeRef(pre: Universe.Type, sym: Universe.Symbol, args: List[Universe.Type]): Universe.Type

55. #### abstract def UnliftListElementwise[T](unliftable: Universe.Unliftable[T]): UnliftListElementwise[T]

56. #### abstract def UnliftListOfListsElementwise[T](unliftable: Universe.Unliftable[T]): UnliftListOfListsElementwise[T]

57. #### abstract def freshTermName(prefix: String): Universe.TermName

58. #### abstract def freshTypeName(prefix: String): Universe.TypeName

59. #### abstract def mkAnnotation(trees: List[Universe.Tree]): List[Universe.Tree]

60. #### abstract def mkAnnotation(tree: Universe.Tree): Universe.Tree

61. #### abstract def mkEarlyDef(defns: List[Universe.Tree]): List[Universe.Tree]

62. #### abstract def mkEarlyDef(defn: Universe.Tree): Universe.Tree

63. #### abstract def mkIdent(sym: Universe.Symbol): Universe.Ident

64. #### abstract def mkPackageStat(stats: List[Universe.Tree]): List[Universe.Tree]

65. #### abstract def mkPackageStat(stat: Universe.Tree): Universe.Tree

66. #### abstract def mkRefTree(qual: Universe.Tree, sym: Universe.Symbol): Universe.Tree

67. #### abstract def mkRefineStat(stats: List[Universe.Tree]): List[Universe.Tree]

68. #### abstract def mkRefineStat(stat: Universe.Tree): Universe.Tree

69. #### abstract def mkSelect(qualifier: Universe.Tree, sym: Universe.Symbol): Universe.Select

70. #### abstract def mkThis(sym: Universe.Symbol): Universe.Tree

71. #### abstract def mkTypeTree(tp: Universe.Type): Universe.TypeTree

72. #### abstract def newFreeTerm(name: String, value: ⇒ Any, flags: Universe.FlagSet = NoFlags, origin: String = null): Universe.FreeTermSymbol

    Create a fresh free term symbol.

    Create a fresh free term symbol.

    name

      the name of the free variable

    value

      the value of the free variable at runtime

    flags

      (optional) flags of the free variable

    origin

      debug information that tells where this symbol comes from

73. #### abstract def newFreeType(name: String, flags: Universe.FlagSet = NoFlags, origin: String = null): Universe.FreeTypeSymbol

    Create a fresh free type symbol.

    Create a fresh free type symbol.

    name

      the name of the free variable

    flags

      (optional) flags of the free variable

    origin

      debug information that tells where this symbol comes from

74. #### abstract def newNestedSymbol(owner: Universe.Symbol, name: Universe.Name, pos: Universe.Position, flags: Universe.FlagSet, isClass: Boolean): Universe.Symbol

    A fresh symbol with given name `name`, position `pos` and flags `flags` that has the current symbol as its owner.

75. #### abstract def newScopeWith(elems: Universe.Symbol*): Universe.Scope

76. #### abstract def selectOverloadedMethod(owner: Universe.Symbol, name: String, index: Int): Universe.MethodSymbol

    Selects overloaded method symbol with given name and index

77. #### abstract def selectTerm(owner: Universe.Symbol, name: String): Universe.TermSymbol

    Selects term symbol with given name and type from the defined members of prefix type

78. #### abstract def selectType(owner: Universe.Symbol, name: String): Universe.TypeSymbol

    Selects type symbol with given simple name `name` from the defined members of `owner`.

79. #### abstract def setAnnotations[S <: Universe.Symbol](sym: S, annots: List[Universe.Annotation]): S

    Set symbol's annotations to given annotations `annots`.

80. #### abstract def setInfo[S <: Universe.Symbol](sym: S, tpe: Universe.Type): S

    Set symbol's type signature to given type.

    Set symbol's type signature to given type.

    returns

      the symbol itself

81. #### abstract def setSymbol[T <: Universe.Tree](tree: T, sym: Universe.Symbol): T

82. #### abstract def setType[T <: Universe.Tree](tree: T, tpe: Universe.Type): T

83. #### abstract def thisPrefix(sym: Universe.Symbol): Universe.Type

84. #### abstract def toStats(tree: Universe.Tree): List[Universe.Tree]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Universe.ReificationSupportApi to any2stringadd[Universe.ReificationSupportApi] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Universe.ReificationSupportApi, B)

   Implicit information
     This member is added by an implicit conversion from Universe.ReificationSupportApi to ArrowAssoc[Universe.ReificationSupportApi] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

8. #### def ensuring(cond: (Universe.ReificationSupportApi) ⇒ Boolean, msg: ⇒ Any): Universe.ReificationSupportApi

   Implicit information
     This member is added by an implicit conversion from Universe.ReificationSupportApi to Ensuring[Universe.ReificationSupportApi] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Universe.ReificationSupportApi) ⇒ Boolean): Universe.ReificationSupportApi

   Implicit information
     This member is added by an implicit conversion from Universe.ReificationSupportApi to Ensuring[Universe.ReificationSupportApi] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Universe.ReificationSupportApi

    Implicit information
      This member is added by an implicit conversion from Universe.ReificationSupportApi to Ensuring[Universe.ReificationSupportApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Universe.ReificationSupportApi

    Implicit information
      This member is added by an implicit conversion from Universe.ReificationSupportApi to Ensuring[Universe.ReificationSupportApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Universe.ReificationSupportApi to StringFormat[Universe.ReificationSupportApi] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

21. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def →[B](y: B): (Universe.ReificationSupportApi, B)

    Implicit information
      This member is added by an implicit conversion from Universe.ReificationSupportApi to ArrowAssoc[Universe.ReificationSupportApi] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Universe.ReificationSupportApi to any2stringadd[Universe.ReificationSupportApi]

### Inherited by implicit conversion StringFormat from Universe.ReificationSupportApi to StringFormat[Universe.ReificationSupportApi]

### Inherited by implicit conversion Ensuring from Universe.ReificationSupportApi to Ensuring[Universe.ReificationSupportApi]

### Inherited by implicit conversion ArrowAssoc from Universe.ReificationSupportApi to ArrowAssoc[Universe.ReificationSupportApi]

### Ungrouped